### Signal

# Gtk IMContext::retrieve-surrounding

#### Declaration

    gboolean
    retrieve_surrounding (
      GtkIMContext* self,
      gpointer user_data
    )

#### Description [src]

The ::retrieve-surrounding signal is emitted when the input method requires the context surrounding the cursor.

The callback should set the input method surrounding context by calling the `gtk_im_context_set_surrounding()` method.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `gboolean`

`TRUE` if the signal was handled.